# Sanitizer_GraphExecData Struct Reference
[Sanitizer Callback API]

Data passed into a graphexec creation callback function. More...

## Data Fields

uint32_t | containsDeviceGraphLaunches
CUcontext | deviceGraphLaunchesContext
CUgraph | graph
CUgraphExec | graphExec
uint32_t | isDeviceLaunch

## Detailed Description

Data passed into a graphs callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_GRAPHS and `cbid` equal to SANITIZER_CBID_GRAPHS_GRAPHEXEC_CREATING. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUgraph Sanitizer_GraphExecData::graph

CUDA graph being instantiated.